> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Get contract provider credentialing spans

GET https://api.taigabilling.com/api/contracts/v3/{contract_id}/providers/credentialing

Returns rendering providers linked to a contract with their credentialing spans, scoped to the contract's contracting provider and payer. Providers with no matching spans are included with an empty list.

Reference: https://docs.taigabilling.com/api-reference/contracts-v-3/contracts-v-3-get-contract-provider-credentialing-spans

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `contract_id` (string, required)

### Query parameters

- `page_token` (string, optional)
- `limit` (integer, optional) — Max number of providers returned per page. Defaults to 100. Max is 1000.

## Response

### 200

- `items` (list of contractsv3ContractProviderCredentialing, required)
- `next_page_token` (string, optional, nullable)
- `prev_page_token` (string, optional, nullable)

## Errors

### 404 Not Found Error

- `Contracts_v3_get_contract_provider_credentialing_spansRequestNotFoundError`
  - ContractsV3GetContractProviderCredentialingSpansRequestNotFoundError0

### 422 Unprocessable Entity Error

- `Contracts_v3_get_contract_provider_credentialing_spansRequestUnprocessableEntityError`
  - ContractsV3GetContractProviderCredentialingSpansRequestUnprocessableEntityError0

## Types

### contractsv3ContractProviderCredentialing

A rendering provider with their credentialing spans scoped to the contract's contracting provider and payer.

- `provider` (organization-providersv2OrganizationProvider, required)
- `credentialing_spans` (list of credentialingv2ProviderCredentialingSpan, required)

### ContractsV3GetContractProviderCredentialingSpansRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (EntityNotFoundErrorMessage, optional)

### ContractsV3GetContractProviderCredentialingSpansRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnprocessableEntityErrorMessage, optional)

### organization-providersv2OrganizationProvider

- `employment_status` (enum, required) — The employment status for the provider.
  - Allowed values: `ACTIVE`, `TERMINATED`
- `is_billing` (boolean, required) — Whether the provider can be used to bill services.
- `is_rendering` (boolean, required) — Whether the provider can be used to render services.
- `license_type` (enum, required) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `npi` (string, required) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `organization_provider_id` (string, required) — Auto-generated ID set on creation
- `provider_type` (enum, required) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (string, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (string, optional, nullable) — The employment termination date for the provider.
- `first_name` (string, optional, nullable) — The first name of the provider, if the provider is an individual.
- `last_name` (string, optional, nullable) — The last name of the provider, if the provider is an individual.
- `medicaid_provider_id` (string, optional, nullable) — The medicaid provider ID for the provider.
- `organization_name` (string, optional, nullable) — The name of the provider, if the provider is an organization.
- `ptan` (string, optional, nullable) — The Provider Transaction Access Number for the provider.
- `tax_id` (string, optional, nullable) — If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.

### credentialingv2ProviderCredentialingSpan

- `contracting_provider` (organization-providersv3OrganizationProviderV2, required) — The practice location at which the rendering provider is covered by the credentialing span.
- `credentialing_status` (enum, required) — Status of the credentialing span.
  - Allowed values: `work_in_progress`, `pending`, `effective`, `expired`
- `is_enabled` (boolean, required) — Is the credentialing span enabled?
- `payer` (payersv3Payer, required) — The payer doing the credentialing.
- `provider_credentialing_span_id` (string, required)
- `regions` (Regions, required) — The states covered by the credentialing span. A span may be national and cover all states.
- `rendering_provider` (organization-providersv3OrganizationProviderV2, required) — The rendering provider covered by the credentialing span.
- `source` (string, required) — Source of the credentialing span.
- `end_date` (date, optional, nullable) — End date of the credentialing span.
- `medallion_payer_enrollment_id` (string, optional, nullable) — Provider ID for the related medallion payer enrollment.
- `payer_loaded_date` (date, optional, nullable) — Date that the payer loaded the credentialing span into their system.
- `start_date` (date, optional, nullable) — Start date of the credentialing span.
- `submitted_date` (date, optional, nullable) — Date that the credential paperwork was submitted.

### EntityNotFoundErrorMessage

- `id` (string, required)

### UnprocessableEntityErrorMessage

- `message` (string, optional, nullable)

### organization-providersv2OrganizationProviderAddress

- `address` (StreetAddressLongZip, required) — The address of the provider
- `address_type` (enum, required) — The address type of the provider
  - Allowed values: `DEFAULT`

### organization-providersv3OrganizationProviderV2

- `npi` (string, required) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `is_rendering` (boolean, required) — Whether the provider can be used to render services.
- `is_billing` (boolean, required) — Whether the provider can be used to bill services.
- `provider_type` (enum, required) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `license_type` (enum, required) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `organization_provider_id` (string, required) — Auto-generated ID set on creation.
- `qualifications` (list of Identifier, required) — Qualification given to a provider (PTAN, Medicaid Provider Id etc.).
- `first_name` (string, optional, nullable) — The first name of the provider, if the provider is an individual.
- `last_name` (string, optional, nullable) — The last name of the provider, if the provider is an individual.
- `organization_name` (string, optional, nullable) — The name of the provider, if the provider is an organization.
- `tax_id` (string, optional, nullable) — If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (date, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (date, optional, nullable) — The employment termination date for the provider.

### payersv3Payer

- `payer_uuid` (string, required) — Auto-generated ID set on creation.
- `payer_id` (string, required) — The primary national payer ID of the payer.
- `payer_name` (string, required) — The primary display name of the payer.
- `availity_payer_name` (string, optional, nullable) — The name of the payer as it appears in Availity.
- `availity_claims_payer_id` (string, optional, nullable) — The ID of the payer as it appears in Availity.
- `availity_eligibility_id` (string, optional, nullable) — The eligibility ID of the payer as it appears in Availity.
- `availity_remittance_payer_id` (string, optional, nullable) — The remittance ID of the payer as it appears in Availity.
- `street_address` (StreetAddressLongZip, optional, nullable)

### Regions

- Regions0
- Regions1

### StreetAddressLongZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `zip_plus_four_code` (string, required) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4
- `address2` (string, optional, nullable)

### Identifier

- `identifier_code` (enum, required)
  - Allowed values: `MCR`, `MCD`
- `identifier_id` (string, required)
- `identifier_value` (IdentifierValue, required)
- `period` (DateRangeOptionalEnd, optional, nullable)

### Regions0

- `states` (list of enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `states`

### Regions1

- `type` (enum, required)
  - Allowed values: `national`

### IdentifierValue

- IdentifierValue0
- IdentifierValue1

### DateRangeOptionalEnd

- `start_date` (string, required) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)
- `end_date` (string, optional, nullable) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)

### IdentifierValue0

- `provider_number` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `medicare_provider_identifier`
- `organization_service_facility_id` (string, optional, nullable) — When set, this identifier applies only to the given service facility.

### IdentifierValue1

- `provider_number` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `medicaid_provider_identifier`
- `organization_service_facility_id` (string, optional, nullable) — When set, this identifier applies only to the given service facility.

## Examples

**Response**

```json
{
  "items": [
    {
      "provider": {
        "employment_status": "ACTIVE",
        "is_billing": true,
        "is_rendering": true,
        "license_type": "MD",
        "npi": "string",
        "organization_provider_id": "string",
        "provider_type": "INDIVIDUAL",
        "addresses": [
          {
            "address": {
              "address1": "string",
              "city": "string",
              "state": "AA",
              "zip_code": "string",
              "zip_plus_four_code": "1234",
              "address2": "string"
            },
            "address_type": "DEFAULT"
          }
        ],
        "employment_start_date": "string",
        "employment_termination_date": "string",
        "first_name": "string",
        "last_name": "string",
        "medicaid_provider_id": "string",
        "organization_name": "string",
        "ptan": "string",
        "tax_id": "string",
        "taxonomy_code": "string"
      },
      "credentialing_spans": [
        {
          "contracting_provider": {
            "npi": "1234567890",
            "is_rendering": true,
            "is_billing": true,
            "provider_type": "INDIVIDUAL",
            "license_type": "MD",
            "organization_provider_id": "string",
            "qualifications": [
              {
                "identifier_code": "MCR",
                "identifier_id": "string",
                "identifier_value": {
                  "organization_service_facility_id": "string",
                  "provider_number": "string",
                  "state": "AA",
                  "type": "medicare_provider_identifier"
                },
                "period": {
                  "start_date": "string",
                  "end_date": "string"
                }
              }
            ],
            "first_name": "string",
            "last_name": "string",
            "organization_name": "string",
            "tax_id": "string",
            "taxonomy_code": "string",
            "addresses": [
              {
                "address": {
                  "address1": "string",
                  "city": "string",
                  "state": "AA",
                  "zip_code": "string",
                  "zip_plus_four_code": "1234",
                  "address2": "string"
                },
                "address_type": "DEFAULT"
              }
            ],
            "employment_start_date": "2023-01-15",
            "employment_termination_date": "2023-01-15"
          },
          "credentialing_status": "work_in_progress",
          "is_enabled": true,
          "payer": {
            "payer_uuid": "string",
            "payer_id": "12345",
            "payer_name": "Payer Name",
            "availity_payer_name": "string",
            "availity_claims_payer_id": "string",
            "availity_eligibility_id": "string",
            "availity_remittance_payer_id": "string",
            "street_address": {
              "address1": "string",
              "city": "string",
              "state": "AA",
              "zip_code": "string",
              "zip_plus_four_code": "1234",
              "address2": "string"
            }
          },
          "provider_credentialing_span_id": "string",
          "regions": {
            "states": [
              "AA"
            ],
            "type": "states"
          },
          "rendering_provider": {
            "npi": "1234567890",
            "is_rendering": true,
            "is_billing": true,
            "provider_type": "INDIVIDUAL",
            "license_type": "MD",
            "organization_provider_id": "string",
            "qualifications": [
              {
                "identifier_code": "MCR",
                "identifier_id": "string",
                "identifier_value": {
                  "organization_service_facility_id": "string",
                  "provider_number": "string",
                  "state": "AA",
                  "type": "medicare_provider_identifier"
                },
                "period": {
                  "start_date": "string",
                  "end_date": "string"
                }
              }
            ],
            "first_name": "string",
            "last_name": "string",
            "organization_name": "string",
            "tax_id": "string",
            "taxonomy_code": "string",
            "addresses": [
              {
                "address": {
                  "address1": "string",
                  "city": "string",
                  "state": "AA",
                  "zip_code": "string",
                  "zip_plus_four_code": "1234",
                  "address2": "string"
                },
                "address_type": "DEFAULT"
              }
            ],
            "employment_start_date": "2023-01-15",
            "employment_termination_date": "2023-01-15"
          },
          "source": "string",
          "end_date": "2023-01-15",
          "medallion_payer_enrollment_id": "string",
          "payer_loaded_date": "2023-01-15",
          "start_date": "2023-01-15",
          "submitted_date": "2023-01-15"
        }
      ]
    }
  ],
  "next_page_token": "string",
  "prev_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/contracts/v3/contract_id/providers/credentialing"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```